#!/bin/bash

echo =================================
echo 脚本启动
echo =================================

cd /opt/work/app
echo 杀掉java进程
pkill -f allthings-share-api-appapi-1.0-SNAPSHOT.jar

echo 起服务
nohup java -jar allthings-share-api-appapi-1.0-SNAPSHOT.jar --spring.profiles.active=prod > /dev/null 2>&1 &

tail -f /opt/work/app/logs/appapi/appapi.log

启动多个实例
nohup java -jar allthings-share-api-appapi-1.0-SNAPSHOT.jar --spring.profiles.active=prod --server.port=8081 --logging.path=./logs/appapi8081 > /dev/null 2>&1 &

nohup java -jar allthings-share-api-appapi-1.0-SNAPSHOT.jar --spring.profiles.active=prod --server.port=8082 --logging.path=./logs/appapi8082 > /dev/null 2>&1 &


